import { default as Knock, AuthenticateOptions, LogLevel, UserWithProperties } from '@knocklabs/client';
import { PropsWithChildren } from 'react';
import { I18nContent } from '../../i18n';
import * as React from "react";
export interface KnockProviderState {
    knock: Knock;
}
export type KnockProviderProps = {
    apiKey: string | undefined;
    host?: string;
    userToken?: Knock["userToken"];
    onUserTokenExpiring?: AuthenticateOptions["onUserTokenExpiring"];
    timeBeforeExpirationInMs?: AuthenticateOptions["timeBeforeExpirationInMs"];
    i18n?: I18nContent;
    logLevel?: LogLevel;
} & ({
    /**
     * @deprecated The `userId` prop is deprecated and will be removed in a future version.
     * Please pass the `user` prop instead containing an `id` value.
     * example:
     * ```ts
     * <KnockProvider user={{ id: "user_123" }}></KnockProvider>
     * ```
     */
    userId: Knock["userId"];
    user?: never;
} | {
    user: UserWithProperties;
    /**
     * @deprecated The `userId` prop is deprecated and will be removed in a future version.
     * Please pass the `user` prop instead containing an `id` value.
     * example:
     * ```ts
     * <KnockProvider user={{ id: "user_123" }}></KnockProvider>
     * ```
     */
    userId?: never;
});
export declare const KnockProvider: React.FC<PropsWithChildren<KnockProviderProps>>;
export declare const useKnockClient: () => Knock;
//# sourceMappingURL=KnockProvider.d.ts.map