import { default as Knock, AuthenticateOptions, KnockOptions, UserId, UserIdOrUserWithProperties } from '@knocklabs/client';
export type AuthenticatedKnockClientOptions = KnockOptions & AuthenticateOptions;
/**
 * @deprecated Passing `userId` as a `string` is deprecated and will be removed in a future version.
 * Please pass a `user` object instead containing an `id` value.
 * example:
 * ```ts
 * useAuthenticatedKnockClient("pk_test_12345", { id: "user_123" });
 * ```
 */
declare function useAuthenticatedKnockClient(apiKey: string, userIdOrUserWithProperties: UserId, userToken?: Knock["userToken"], options?: AuthenticatedKnockClientOptions): Knock;
declare function useAuthenticatedKnockClient(apiKey: string, userIdOrUserWithProperties: UserIdOrUserWithProperties, userToken?: Knock["userToken"], options?: AuthenticatedKnockClientOptions): Knock;
export default useAuthenticatedKnockClient;
//# sourceMappingURL=useAuthenticatedKnockClient.d.ts.map