import { PropsWithChildren } from 'react';
import { ConnectionStatus } from '../hooks/useSlackConnectionStatus';
import * as React from "react";
export interface KnockSlackProviderState {
    knockSlackChannelId: string;
    tenantId: string;
    /**
     * @deprecated Use `tenantId` instead. This field will be removed in a future release.
     */
    tenant: string;
    connectionStatus: ConnectionStatus;
    setConnectionStatus: (connectionStatus: ConnectionStatus) => void;
    errorLabel: string | null;
    setErrorLabel: (label: string) => void;
    actionLabel: string | null;
    setActionLabel: (label: string | null) => void;
}
export type KnockSlackProviderProps = {
    knockSlackChannelId: string;
    /**
     * @deprecated Use `tenantId` instead. This field will be removed in a future release.
     */
    tenant: string;
} | {
    knockSlackChannelId: string;
    tenantId: string;
};
export declare const KnockSlackProvider: React.FC<PropsWithChildren<KnockSlackProviderProps>>;
export declare const useKnockSlackClient: () => KnockSlackProviderState;
//# sourceMappingURL=KnockSlackProvider.d.ts.map